(function ($) {
  'use strict';

  /**
   * Adds dynamic custom item descriptions toggling.
   */
  Drupal.behaviors.opquast_checklistDisplayObjectives = {
    attach: function (context) {
      var is_compact_mode = $('#checklistapi-checklist-form', context).hasClass('compact-mode');
      var text = is_compact_mode ? Drupal.t('Show objectives') : Drupal.t('Hide objectives');
      $('#checklistapi-checklist-form .compact-objectives', context).html('<a href="#">' + text + '</a>');
      $('#checklistapi-checklist-form .compact-objectives a', context).click(function () {
        $(this).closest('#checklistapi-checklist-form').toggleClass('compact-mode');
        var is_compact_mode = $(this).closest('#checklistapi-checklist-form').hasClass('compact-mode');
        $(this)
          .text(is_compact_mode ? Drupal.t('Show objectives') : Drupal.t('Hide objectives'))
          .attr('title', is_compact_mode ? Drupal.t('Expand layout to include objectives.') : Drupal.t('Compress layout by hiding objectives.'));
        $('.wrapper-opquast-objectives', context).toggle();
        return false;
      });
    }
  };
})(jQuery);
